Bug 842215 - [abrt] bibus-1.5.1-7.fc17: codecs.py:351:write:UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2019' in position 534: ordinal not in range(256)
[abrt] bibus-1.5.1-7.fc17: codecs.py:351:write:UnicodeEncodeError: 'latin-1' ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bibus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:c67c7cf2c2752ede8d94b0f8e17...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 03:05 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-08-01 06:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-07-23 03:05:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/bibus/bibus.py
comment:        Exported my references.
executable:     /usr/share/bibus/bibus.py
kernel:         3.4.5-2.fc17.x86_64
time:           Monday 23 July 2012 05:04:25 PM EST
uid:            1000
username:       ankur

backtrace:
:codecs.py:351:write:UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2019' in position 534: ordinal not in range(256)
:
:Traceback (most recent call last):
:  File "/usr/share/bibus/BibFrame.py", line 1135, in onMenuFileExport
:    self.__FileExport( mod, enc=mod.DEFAULT_ENCODING )
:  File "/usr/share/bibus/BibFrame.py", line 1121, in __FileExport
:    exporter.write(ref)
:  File "/usr/share/bibus/Export/BibTeX.py", line 83, in write
:    self.infile.write(record)
:  File "/usr/lib64/python2.7/codecs.py", line 691, in write
:    return self.writer.write(data)
:  File "/usr/lib64/python2.7/codecs.py", line 351, in write
:    data, consumed = self.encode(object, self.errors)
:UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2019' in position 534: ordinal not in range(256)
:
:Local variables in innermost frame:
:self: <open file u'/home/ankur/Documents/readables/references.bib', mode 'wb' at 0x40ddc00>
:object: u'@conference{Wang2009,\n\tabstract = {This paper introduces a new 3D landmark\nextraction method using the range and intensity\nimages captured by a single range camera.\nSpeeded up robust features (SURF) detection and\nmatching is used to extract and match features from\nthe intensity images. The range image information\nis used to transfer the selected 2D features into 3D\npoints. The range measurement bias and uncertainty\nof the range camera are analysed, and their models\nare developed for improving the range estimation.\nAfter outliers\u2019 detection and removal using random\nsampling consensus (RANSAC), reliable 3D points\nare obtained. 3D landmarks for simultaneous\nlocalisation and mapping (SLAM) are selected\nfrom the 3D points considering several factors,\nsuch as the uncertainty and geometry of their\nlocations. Because of the availability of the SURF\ndescriptor, the data association in SLAM has been\nperformed using both the geometry and the\ndescriptor information. The proposed method is\ntested in unstructured indoor environments,\nwhere the range camera moves in six degrees of\nfreedom. Experimental results demonstrate the\nsuccess of the proposed 3D landmark extraction\nmethod for SLAM.\n}, \n\tyear = {2009}, \n\tauthor = {Wang, Jianguo Jack and Hu, Gibson and Huang, Shoudong and Dissanayake, Gamini}, \n\tbooktitle = {Australasian Conference on Robotics and Automation 2009}, \n\tdoi = {http://www.araa.asn.au/acra/acra2009/contents.html}, \n\turl = {/home/ankur/Documents/readables/research_papers/pap165s1.pdf}, \n\ttitle = {3D Landmarks Extraction from a Range Imager Data for SLAM\n}, \n}'

smolt_data:
:
:
:General
:=================================
:UUID: 40afe36c-a4a9-4393-9f7c-23f1cf55d853
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5319.86
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2661
:System Memory: 3820
:System Swap: 4959
:Vendor: Dell Inc.
:System: Vostro 3400 Not Specified
:Form factor: Portable
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1088) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1088) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1088) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1088) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1088) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1088) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4136:1088) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, bcma-pci-bridge, NETWORK, XPS 8300
:(32902:15164:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1088) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15174:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1088) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:4136:1088) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2677:4136:1088) pci, nouveau, VIDEO, GT218 [GeForce 310M]
:(4332:33128:4136:1088) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 7845335 5189861 4796645 1966080 1664079 1664079
:/dev/sda8 WITHHELD ext4 4096 4096 53854499 10251578 7555438 13484032 13449549 13449549
:/dev/sda5 /home ext4 4096 4096 51134253 11243761 8683761 12804096 12696106 12696106
:/dev/sda2 WITHHELD ext4 4096 4096 7660262 6148967 5765006 1921360 1921348 1921348
:/dev/sda3 /boot ext4 4096 4096 130459 97433 90880 32768 32392 32392
:
Comment 1 Fedora End Of Life 2013-07-03 23:20:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:47:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.